> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/load-balancing.md).

# Load Balancing

## Get

> Retrieve Parallels RAS LB Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/LBSettings":{"get":{"tags":["2-Site settings//Load Balancing"],"summary":"Get","description":"Retrieve Parallels RAS LB Settings.","operationId":"2f736db8-b7fb-4b9a-80bf-22c523536022","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to retrieve the Parallels RAS LB settings. (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/LBSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"LBSettings":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/LBMethod"},"cpuCounter":{"type":"boolean","description":"<para type=\"description\">Whether the CPU counter is enabled or disabled.</para>"},"memoryCounter":{"type":"boolean","description":"<para type=\"description\">Whether the Memory counter is enabled or disabled.</para>"},"sessionsCounter":{"type":"boolean","description":"<para type=\"description\">Whether the Sessions counter is enabled or disabled.</para>"},"reconnectDisconnect":{"type":"boolean","description":"<para type=\"description\">Whether the \"Reconnect to disconnected sessions\" option is enabled or disabled.</para>"},"reconnectUsingIPOnly":{"type":"boolean","description":"<para type=\"description\">Whether the \"Reconnect sessions using client's IP address only\" option is enabled or disabled.</para>"},"reconnectUser":{"type":"boolean","description":"<para type=\"description\">Whether the \"Limit user to one session per desktop\" option is enabled or disabled.</para>"},"disableRDSLB":{"type":"boolean","description":"<para type=\"description\">Whether the \"Disable Microsoft RD Connection Broker\" option is enabled or disabled.</para>"},"deadTimeout":{"type":"integer","description":"<para type=\"description\">The value (in number of seconds) of the \"Declare Agent dead if not responding for\" property.</para>","format":"int32"},"refreshTimeout":{"type":"integer","description":"<para type=\"description\">The value (in number of seconds) of the \"Agent Refresh Time\" property.</para>","format":"int32"},"maxConnectionRequests":{"type":"integer","description":"<para type=\"description\">Maximum number of connection requests for an Agent.</para>","format":"int32"},"replicate":{"type":"boolean","description":"<para type=\"description\">Whether the \"Replicate settings\" option (replicate settings to all sites) is enabled or disabled.</para>"},"siteId":{"type":"integer","description":"<para type=\"description\">The site ID to which the RAS LB settings refer.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Load-Balancer Settings</para>\r\n<para type=\"description\"></para>"},"LBMethod":{"enum":[["0 = ResourceBased","1 = RoundRobin"]],"type":"string","description":"<para type=\"synopsis\">LBMethod</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify Parallels RAS LB Settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/LBSettings":{"put":{"tags":["2-Site settings//Load Balancing"],"summary":"Update","description":"Modify Parallels RAS LB Settings.","operationId":"04c4c4a3-2ce4-4611-a536-47a882f503a7","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the Parallels RAS LB settings. (optional)","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"LB settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetLBSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetLBSettings":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/LBMethod"},"cpuCounter":{"type":"boolean","description":"<para type=\"description\">Enable or disable the CPU counter.</para>","nullable":true},"memoryCounter":{"type":"boolean","description":"<para type=\"description\">Enable or disable the Memory counter.</para>","nullable":true},"sessionsCounter":{"type":"boolean","description":"<para type=\"description\">Enable or disable the Sessions counter.</para>","nullable":true},"reconnectDisconnect":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Reconnect to disconnected sessions\" option.</para>","nullable":true},"reconnectUsingIPOnly":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Reconnect sessions using client's IP address only\" option.</para>","nullable":true},"reconnectUser":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Limit user to one session per desktop\" option.</para>","nullable":true},"disableRDSLB":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Disable Microsoft RD Connection Broker\" option.</para>","nullable":true},"deadTimeout":{"type":"integer","description":"<para type=\"description\">Set the value (number of seconds) of the \"Declare Agent dead if not responding for\" property.</para>","format":"int32","nullable":true},"refreshTimeout":{"type":"integer","description":"<para type=\"description\">Set the value (number of seconds) of the \"Agent Refresh Time\" property.</para>","format":"int32","nullable":true},"replicate":{"type":"boolean","description":"<para type=\"description\">Enable or disable the \"Replicate settings\" option (replicate settings to all sites).</para>","nullable":true},"maxConnectionRequests":{"type":"integer","description":"<para type=\"description\">Maximum number of connection requests for an Agent.</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update the RAS Load Balancing settings</para>\r\n<para type=\"description\"></para>"},"LBMethod":{"enum":[["0 = ResourceBased","1 = RoundRobin"]],"type":"string","description":"<para type=\"synopsis\">LBMethod</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/load-balancing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
